Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fedict.eid.applet.service
Class AppletServiceServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              be.fedict.eid.applet.service.AppletServiceServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class AppletServiceServlet

extends HttpServlet

The eID applet service Servlet. This servlet should be used by web applications for secure communication between the Java EE servlet container and the eID applet. This servlet will push attributes within the HTTP session after a successful identification of the browser using via the eID applet.

The attribute that is pushed within the HTTP session per default is: `eid.identity` of type `Identity`.

The address on the eID card can also be requested by setting the optional `IncludeAddress` `init-param` to `true`. The corresponding HTTP session attribute is called `eid.address` and is of type `Address`.

The photo on the eID card can also be requested by setting the optional `IncludePhoto` `init-param` to `true`. The corresponding HTTP session attribute is called `eid.photo`.

More information on all available init-param configuration parameters is available in the eID Applet developer's guide.

Author:
  Frank Cornelis
See Also:
  Serialized Form

Constructor Summary
`AppletServiceServlet()`

Method Summary
`protected void` | `doGet(HttpServletRequest request, HttpServletResponse response)`
`protected void` | `doPost(HttpServletRequest request, HttpServletResponse response)`
`void` | `init(ServletConfig config)`
`static void` | `injectInitParams(ServletConfig config, MessageHandler<?> messageHandler)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppletServiceServlet

    public AppletServiceServlet()

Method Detail

### init

    public void init(ServletConfig config)
              throws ServletException

  Specified by:
    `init` in interface `Servlet`
  Overrides:
    `init` in class `GenericServlet`
  Throws:
    `ServletException`

### injectInitParams

    public static void injectInitParams(ServletConfig config,
                                        MessageHandler<?> messageHandler)
                                 throws ServletException,
                                        IllegalArgumentException,
                                        IllegalAccessException

  Throws:
    `ServletException`
    `IllegalArgumentException`
    `IllegalAccessException`

### doGet

    protected void doGet(HttpServletRequest request,
                         HttpServletResponse response)
                  throws ServletException,
                         IOException

  Overrides:
    `doGet` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

### doPost

    protected void doPost(HttpServletRequest request,
                          HttpServletResponse response)
                   throws ServletException,
                          IOException

  Overrides:
    `doPost` in class `HttpServlet`
  Throws:
    `ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2010 FedICT. All Rights Reserved.